Bug 873664 (CVE-2012-5885, CVE-2012-5886, CVE-2012-5887) - CVE-2012-5885 CVE-2012-5886 CVE-2012-5887 tomcat: three DIGEST authentication implementation issues
Summary: CVE-2012-5885 CVE-2012-5886 CVE-2012-5887 tomcat: three DIGEST authentication...
Status: CLOSED ERRATA
Alias: CVE-2012-5885, CVE-2012-5886, CVE-2012-5887
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20121105,repor...
Keywords: Security
: CVE-2012-3439 (view as bug list)
Depends On: 873672 873703 873707 882008 882009 882010 882011 882012 882013 882014 882015 882019 882020 912962 915386 953308 1014383
Blocks: 873710 906153 953709
TreeView+ depends on / blocked
 
Reported: 2012-11-06 13:07 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:18 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-07-01 16:12:24 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-10647 Major Resolved CVE-2012-5885, CVE-2012-5886, CVE-2012-5887 - One-off patch EAP-5.2.0 2019-05-21 08:36 UTC
Red Hat Product Errata RHSA-2013:0265 normal SHIPPED_LIVE Moderate: tomcat6 security update 2013-02-20 01:29:31 UTC
Red Hat Product Errata RHSA-2013:0266 normal SHIPPED_LIVE Moderate: tomcat6 security update 2013-02-20 03:12:56 UTC
Red Hat Product Errata RHSA-2013:0623 normal SHIPPED_LIVE Important: tomcat6 security update 2013-03-11 23:31:54 UTC
Red Hat Product Errata RHSA-2013:0629 normal SHIPPED_LIVE Moderate: jbossweb security update 2013-03-11 22:35:00 UTC
Red Hat Product Errata RHSA-2013:0631 normal SHIPPED_LIVE Moderate: jbossweb security update 2013-03-11 22:34:51 UTC
Red Hat Product Errata RHSA-2013:0632 normal SHIPPED_LIVE Moderate: jbossweb security update 2013-03-11 23:07:55 UTC
Red Hat Product Errata RHSA-2013:0633 normal SHIPPED_LIVE Moderate: jbossweb security update 2013-03-11 23:07:48 UTC
Red Hat Product Errata RHSA-2013:0640 normal SHIPPED_LIVE Important: tomcat5 security update 2013-03-12 22:07:47 UTC
Red Hat Product Errata RHSA-2013:0647 normal SHIPPED_LIVE Moderate: jbossweb security update 2013-03-14 20:48:21 UTC
Red Hat Product Errata RHSA-2013:0648 normal SHIPPED_LIVE Moderate: jbossweb security update 2013-03-14 20:48:16 UTC
Red Hat Product Errata RHSA-2013:0665 normal SHIPPED_LIVE Important: JBoss Data Grid 6.1.0 update 2013-03-20 19:58:45 UTC
Red Hat Product Errata RHSA-2013:0726 normal SHIPPED_LIVE Important: JBoss Enterprise SOA Platform 5.3.1 update 2013-04-09 22:11:58 UTC
Red Hat Product Errata RHSA-2013:1006 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 5.3.1 update 2013-07-01 19:14:03 UTC

Description Jan Lieskovsky 2012-11-06 13:07:56 UTC
Multiple weaknesses were found in Tomcat's DIGEST authentication implementation. This flaw affects all versions up to Tomcat 5.5.35 [1], tomcat 6.0.35 [2] and 7.0.29 [3].

Summary from Tomcat's security pages:
1) Tomcat tracked client rather than server nonces and nonce count.
2) When a session ID was present, authentication was bypassed.
3) The user name and password were not checked before when indicating that a nonce was stale.

Relevant upstream pathes are:
Tomcat 5: http://svn.apache.org/viewvc?view=rev&rev=1392248
Tomcat 6: http://svn.apache.org/viewvc?view=rev&rev=1380829
Tomcat 7: http://svn.apache.org/viewvc?view=rev&rev=1377807

[1] http://tomcat.apache.org/security-5.html#Fixed_in_Apache_Tomcat_5.5.36
[2] http://tomcat.apache.org/security-6.html#Fixed_in_Apache_Tomcat_6.0.36
[3] http://tomcat.apache.org/security-7.html#Fixed_in_Apache_Tomcat_7.0.30

Comment 1 Jan Lieskovsky 2012-11-06 13:14:30 UTC
These issues affect the version of the tomcat5 package, as shipped with Red Hat Enterprise Linux 5.

--

These issues affect the version of the tomcat5 package, as shipped with JBoss Enterprise Web Server 1.0.2.

--

These issues affect the version of the tomcat5 package, as shipped with Fedora release of 16.

Comment 2 Jan Lieskovsky 2012-11-06 13:15:43 UTC
Created tomcat5 tracking bugs for this issue

Affects: fedora-16 [bug 873672]

Comment 3 Jan Lieskovsky 2012-11-06 13:24:40 UTC
Relevant upstream patch for Tomcat 6:
[3] http://svn.apache.org/viewvc?view=revision&revision=1380829

Affected Tomcat 6 versions: From 6.0.0 up to 6.0.35.

Comment 4 Jan Lieskovsky 2012-11-06 13:26:09 UTC
These issues affect the version of the tomcat6 package, as shipped with Red Hat Enterprise Linux 6.

--

These issues affect the version of the tomcat6 package, as shipped with JBoss Enterprise Web Server 1.0.2.

--

These issues affect the versions of the tomcat6 package, as shipped with Fedora release of 16 and 17.

Comment 5 Jan Lieskovsky 2012-11-06 13:32:53 UTC
Relevant upstream patch for Tomcat 7:
[4] http://svn.apache.org/viewvc?view=revision&revision=1377807

Affected Tomcat 7 versions: From 7.0.0 up to 7.0.29.

Comment 6 Jan Lieskovsky 2012-11-06 13:35:04 UTC
These issues affect the version of the tomcat package, as shipped with Fedora release of 16.

--

These issues does not affect the version of the tomcat package, as shipped with Fedora release of 17 (that version has been already updated).

Comment 7 Jan Lieskovsky 2012-11-06 14:17:03 UTC
Created tomcat6 tracking bugs for this issue

Affects: fedora-all [bug 873703]

Comment 8 Jan Lieskovsky 2012-11-06 14:22:19 UTC
Created tomcat tracking bugs for this issue

Affects: fedora-16 [bug 873707]

Comment 9 Jan Lieskovsky 2012-11-20 16:06:29 UTC
The CVE identifier of CVE-2012-3439 has been rejected (and therefore should not be used) by MITRE:

--
** REJECT **

DO NOT USE THIS CANDIDATE NUMBER. ConsultIDs: CVE-2012-5885,
CVE-2012-5886, CVE-2012-5887. Reason: This candidate is a duplicate
of CVE-2012-5885, CVE-2012-5886, and CVE-2012-5887. Notes: All CVE
users should reference one or more of CVE-2012-5885, CVE-2012-5886,
and CVE-2012-5887 instead of this candidate. All references and
descriptions in this candidate have been removed to prevent accidental
usage.
--

in favour of the following three ids: CVE-2012-5885, CVE-2012-5886, and CVE-2012-5887, whose description is as follows:

1) CVE-2012-5885:
=================
The replay-countermeasure functionality in the HTTP Digest Access Authentication implementation in Apache Tomcat 5.5.x before 5.5.36, 6.x before 6.0.36, and 7.x before 7.0.30 tracks cnonce (aka client nonce) values instead of nonce (aka server nonce) and nc (aka nonce-count) values, which makes it easier for remote attackers to bypass intended access restrictions by sniffing the network for valid
requests, a different vulnerability than CVE-2011-1184.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5885
http://svn.apache.org/viewvc?view=revision&revision=1377807
http://svn.apache.org/viewvc?view=revision&revision=1380829
http://svn.apache.org/viewvc?view=revision&revision=1392248
http://tomcat.apache.org/security-5.html
http://tomcat.apache.org/security-6.html
http://tomcat.apache.org/security-7.html

2) CVE-2012-5886:
=================
The HTTP Digest Access Authentication implementation in Apache Tomcat 5.5.x before 5.5.36, 6.x before 6.0.36, and 7.x before 7.0.30 caches information about the authenticated user within the session state, which makes it easier for remote attackers to bypass authentication via vectors related to the session ID.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5886
http://svn.apache.org/viewvc?view=revision&revision=1377807
http://svn.apache.org/viewvc?view=revision&revision=1380829
http://svn.apache.org/viewvc?view=revision&revision=1392248
http://tomcat.apache.org/security-5.html
http://tomcat.apache.org/security-6.html
http://tomcat.apache.org/security-7.html

3) CVE-2012-5887:
=================
The HTTP Digest Access Authentication implementation in Apache Tomcat 5.5.x before 5.5.36, 6.x before 6.0.36, and 7.x before 7.0.30 does not properly check for stale nonce values in conjunction with enforcement of proper credentials, which makes it easier for remote attackers to bypass intended access restrictions by sniffing the network for valid requests.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5887
http://svn.apache.org/viewvc?view=revision&revision=1377807
http://svn.apache.org/viewvc?view=revision&revision=1380829
http://svn.apache.org/viewvc?view=revision&revision=1392248
http://tomcat.apache.org/security-5.html
http://tomcat.apache.org/security-6.html
http://tomcat.apache.org/security-7.html

Comment 15 Fedora Update System 2012-12-19 08:28:55 UTC
tomcat-7.0.33-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 errata-xmlrpc 2013-02-19 20:30:45 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Server 2.0.0

Via RHSA-2013:0265 https://rhn.redhat.com/errata/RHSA-2013-0265.html

Comment 18 errata-xmlrpc 2013-02-19 22:14:47 UTC
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5
  JBEWS 2 for RHEL 6

Via RHSA-2013:0266 https://rhn.redhat.com/errata/RHSA-2013-0266.html

Comment 41 errata-xmlrpc 2013-03-11 18:37:49 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 4
  JBEWP 5 for RHEL 5
  JBEWP 5 for RHEL 6

Via RHSA-2013:0631 https://rhn.redhat.com/errata/RHSA-2013-0631.html

Comment 42 errata-xmlrpc 2013-03-11 18:37:56 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 4
  JBEAP 5 for RHEL 5
  JBEAP 5 for RHEL 6

Via RHSA-2013:0629 https://rhn.redhat.com/errata/RHSA-2013-0629.html

Comment 43 errata-xmlrpc 2013-03-11 19:08:07 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Platform 5.2.0

Via RHSA-2013:0633 https://rhn.redhat.com/errata/RHSA-2013-0633.html

Comment 44 errata-xmlrpc 2013-03-11 19:08:11 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 5.2.0

Via RHSA-2013:0632 https://rhn.redhat.com/errata/RHSA-2013-0632.html

Comment 45 errata-xmlrpc 2013-03-11 19:33:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0623 https://rhn.redhat.com/errata/RHSA-2013-0623.html

Comment 46 errata-xmlrpc 2013-03-12 18:08:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0640 https://rhn.redhat.com/errata/RHSA-2013-0640.html

Comment 47 errata-xmlrpc 2013-03-14 16:49:15 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 6.0.1

Via RHSA-2013:0648 https://rhn.redhat.com/errata/RHSA-2013-0648.html

Comment 48 errata-xmlrpc 2013-03-14 16:50:03 UTC
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5
  JBEAP 6 for RHEL 6

Via RHSA-2013:0647 https://rhn.redhat.com/errata/RHSA-2013-0647.html

Comment 49 errata-xmlrpc 2013-03-20 15:59:22 UTC
This issue has been addressed in following products:

  JBoss Data Grid 6.1.0

Via RHSA-2013:0665 https://rhn.redhat.com/errata/RHSA-2013-0665.html

Comment 50 errata-xmlrpc 2013-04-09 18:19:25 UTC
This issue has been addressed in following products:

  JBoss Enterprise SOA Platform 5.3.1

Via RHSA-2013:0726 https://rhn.redhat.com/errata/RHSA-2013-0726.html

Comment 52 errata-xmlrpc 2013-07-01 15:15:11 UTC
This issue has been addressed in following products:

  Red Hat JBoss BRMS 5.3.1

Via RHSA-2013:1006 https://rhn.redhat.com/errata/RHSA-2013-1006.html

Comment 54 Stefan Cornelius 2015-10-28 09:52:40 UTC
*** Bug 1275985 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.